Bug 53766 - printconf-gui fails to update /etc/printcap, /etc/lpd.conf
printconf-gui fails to update /etc/printcap, /etc/lpd.conf
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-09-17 21:14 EDT by Phil Moors
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-04 04:50:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Moors 2001-09-17 21:14:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i586)

Description of problem:
When attempting to set up a local printer, printconf-gui fails to update
the /etc/printcap file and the /etc/lpd.conf file. This is the first time a
printer has been installed on the system. This option was bypassed during
the Linux installation. The driver is for an HP1100 (lj4). Restarting lpd
from the gui reports success,  however, it really fails.

None of the above mentioned files were updated. /etc/printcap has
absolutely nothing added to it. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Launch printconf-gui
2.choose local printer
3.HP1100 driver

Actual Results:  After restarting the lpd from the gui, it reports success.
Yet printing a test page results in failure and it asks you to make sure
lpd is running. It is not.

Expected Results:  The printcap and lpd.conf files should have been updated
and the lpd properly started.

Additional info:

Running printconf-gui from the cmd line:

[root@lt1 /root]# printconf-gui
Status Information:
 sending job 'root@lt1+474' to queue0@localhost
 connecting to 'localhost', attempt 1
 cannot open connection to localhost - Connection refused
Make sure LPD server is running on the server
Can't locate overload.pm in @INC (@INC contains:
/usr/lib/perl5/5.6.0/i386-linux /usr/lib/perl5/5.6.0
/usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl .) at
/usr/lib/perl5/5.6.0/i386-linux/Data/Dumper.pm line 19.
Compilation failed in require at
/usr/share/printconf/util/make_mfomatic_cfg.pl line 127.
BEGIN failed--compilation aborted at
/usr/share/printconf/util/make_mfomatic_cfg.pl line 127.

Running lpd in the foreground and doing this showed lpd attempting to use
"missingprinter" which is the default. This shows that lpd.conf was never
updated with the new printer.
Comment 1 Phil Moors 2001-09-19 00:04:31 EDT
I get the same errors when just using the text driver. However, the raw driver
(really, no driver) actually sets up a queue and when I sent the test text page
the lights on the printer start blinking. Nothing ever prints because no printer
control codes are involved with this driver.

The more I poke around, the more it looks like something isn't right between
printconf-gui and foomatic.

Comment 2 Phil Moors 2001-09-19 11:05:07 EDT
rpm -V reports:
LPRng-3.7.4-23 (original was -22. Updates/errata were applied after

However, rpm -V printconf reports:
Unsatisfied dependencies for printconf-0.2.12-1: perl, /usr/bin/perl  
S.?....T c /etc/alchemist/namespace/printconf/local.adl
..?.....   /etc/alchemist/namespace/printconf/rpm.adl
..?..... c /etc/alchemist/switchboard/printconf.switchboard.adl

These files do exist in the file system and rpm -ql printconf lists these files
as part of the printconf package.

Comment 3 Phil Moors 2001-09-19 11:39:13 EDT
For fun, I rpm -e'd printconf, printconf-gui and LPRng. When I attempted to
reinstall printconf, rpm reported:

error: failed dependancies:
	perl is needed by printconf-0.2.12-1
	/usr/bin/perl is needed by printconf-0.2.12-1

which perl reports:

perl -v reports:
This is perl, v5.6.0 built for i386 linux

However, rpm -q perl reports:
package Perl is not installed

Was perl really not part of the default install on a laptop? What's really weird
is that rpm -qf /usr/bin/perl reports:
file /usr/bin/perl is not owned by any package.

Something's not right.
Comment 4 Phil Moors 2001-09-19 12:26:02 EDT
I installed the perl package and everything now works. I believe that this is a
QA issue for Redhat. My laptop installation used the default laptop option from
the installer using all free space on the disk. I had one small DOS partition
that was left alone. Printing is broken in this configuration. This needs to be
confirmed. I don't want to pave my laptop again.

I'm changing the status of this to, "fix waiting for confirmation."

Comment 5 Phil Moors 2001-10-01 21:46:02 EDT
Are you guys alive??
Comment 6 Tim Waugh 2002-03-04 04:49:56 EST
I can't reproduce this at all.  It sounds like something went wrong with your
RPM database, but I can't imagine what.

Note You need to log in before you can comment on or make changes to this bug.